Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZAutoloadGenerator Member List

This is the complete list of members for eZAutoloadGenerator, including all inherited members.

$autoloadArrays | eZAutoloadGenerator | protected
$existingAutoloadArrays | eZAutoloadGenerator | protected
$mask | eZAutoloadGenerator | protected
$messages | eZAutoloadGenerator | protected
$modeName | eZAutoloadGenerator | protected
$options | eZAutoloadGenerator | protected
$output | eZAutoloadGenerator | protected
$outputCallback | eZAutoloadGenerator | protected
$warnings | eZAutoloadGenerator | protected
__construct(ezpAutoloadGeneratorOptions $options=null) | eZAutoloadGenerator |
buildAutoloadArrays() | eZAutoloadGenerator |
buildFileList( $path, $extraFilter=null) | eZAutoloadGenerator | protected
checkMaxClassLength( $depData) | eZAutoloadGenerator | protected
checkMode() | eZAutoloadGenerator | protected
classCanBeAdded( $class, $file, $mode, $inProgressAutoloadArray) | eZAutoloadGenerator | protected
classExistsInArray( $class, $checkMode, $file, $inProgressAutoloadArray=null, $generatingMode=null) | eZAutoloadGenerator | protected
DEFAULT_EXCLUDE_FILE | eZAutoloadGenerator |
dumpArray( $sortedArray, $length) | eZAutoloadGenerator | protected
dumpArrayEnd() | eZAutoloadGenerator | protected
dumpArrayStart( $part) | eZAutoloadGenerator | protected
emit( $message, $messageType) | eZAutoloadGenerator | protected
fetchFiles() | eZAutoloadGenerator | protected
findRecursive( $sourceDir, array $includeFilters, array $excludeFilters, eZAutoloadGenerator $gen) | eZAutoloadGenerator | static
findRecursiveCallback(ezpAutoloadFileFindContext $context, $sourceDir, $fileName, $fileInfo) | eZAutoloadGenerator | static
getClassFileList( $fileList, $mode) | eZAutoloadGenerator | protected
getMessages() | eZAutoloadGenerator |
getStatArray( $phase) | eZAutoloadGenerator | protected
getWarnings() | eZAutoloadGenerator |
handleDefaultExcludeFile() | eZAutoloadGenerator | protected
incrementProgressStat( $phase, $stat) | eZAutoloadGenerator | protected
log( $message) | eZAutoloadGenerator | protected
logIssue( $class, $checkMode, $file, $inProgressAutoloadArray, $generatingMode) | eZAutoloadGenerator | protected
logWarning( $message) | eZAutoloadGenerator | protected
MODE_EXTENSION | eZAutoloadGenerator |
MODE_KERNEL | eZAutoloadGenerator |
MODE_KERNEL_OVERRIDE | eZAutoloadGenerator |
MODE_NONE | eZAutoloadGenerator |
MODE_SINGLE_EXTENSION | eZAutoloadGenerator |
MODE_TESTS | eZAutoloadGenerator |
nameTable( $lookup) | eZAutoloadGenerator | protected
OUTPUT_PROGRESS_PHASE1 | eZAutoloadGenerator |
OUTPUT_PROGRESS_PHASE2 | eZAutoloadGenerator |
printAutoloadArray( $printForMode=null) | eZAutoloadGenerator |
runMode() | eZAutoloadGenerator | protected
setMode( $modeValue) | eZAutoloadGenerator |
setOptions( $options) | eZAutoloadGenerator |
setOutputCallback( $callback) | eZAutoloadGenerator |
setOutputObject( $outputObject) | eZAutoloadGenerator |
setStatArray( $phase, $data) | eZAutoloadGenerator | protected
startProgressOutput( $phase) | eZAutoloadGenerator | protected
stopProgressOutput( $phase) | eZAutoloadGenerator | protected
targetTable( $lookup) | eZAutoloadGenerator | protected
UNDEFINED_TOKEN | eZAutoloadGenerator |
updateProgressOutput( $phase) | eZAutoloadGenerator | protected
walkRecursive( $sourceDir, array $includeFilters, array $excludeFilters, $callback, &$callbackContext) | eZAutoloadGenerator | protected static
writeAutoloadFiles() | eZAutoloadGenerator | protected

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.